Overview
========

The QTMR project is a simple demonstration program of the SDK QTMR driver.
The quad-timer module provides four timer channels with a variety of controls affecting both individual
and multi-channel features. Specific features include up/down count,cascading of counters, programmable modulo,
count once/repeated, counter preload, compare registers with preload, shared use of input signals, prescaler controls,
independent capture/compare, fault input control, programmable input filters, and multichannel synchronization.

SDK version
===========
- Version: 2.15.000

Toolchain supported
===================
- IAR embedded Workbench  9.40.1
- Keil MDK  5.38.1
- GCC ARM Embedded  12.2

Hardware requirements
=====================
- Mini/micro USB cable
- TWR-KM34Z50MV3 board
- Personal Computer

Board settings
==============
Use oscilloscope to measure output signal pin at J10-24(PTG0) pin of Primary Elevator board.

Prepare the Demo
================
1.  Connect a USB cable between the host PC and the OpenSDA USB port on the target board.
2.  Open a serial terminal with the following settings:
    - 115200 baud rate
    - 8 data bits
    - No parity
    - One stop bit
    - No flow control
3. Download the program to the target board.
4. Either press the reset button on your board or launch the debugger in your IDE to begin running the example.

Running the demo
================
When the demo runs successfully, the following message is displayed in the terminal:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*********QUADTIMER EXAMPLE START*********
****Timer use-case, 1 second tick.****
 Timer interrupt has occurred !
 Timer interrupt has occurred !
....................
....................
****Chain Timer use-case, 10 second tick.****
 Timer interrupt has occurred !
 Timer interrupt has occurred !
.........
.........
****Input capture example.****
****Provide a signal input to the TMR0 pin****
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Input rising signal at J10-21. Then the following message is displayed:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Input Captured value=bebe

*********Make sure to connect a scope.*********

****A 50 duty cycle PWM wave is observed in the scope.****

*********QUADTIMER EXAMPLE END.*********
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
And you will find the LED RED is taking turns to shine.
